- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKLineElement Class Reference

`#include <IWORKLineElement.h>`

Inheritance diagram for libetonyek::IWORKLineElement:

## Public Member Functions
| IWORKLineElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
virtual void | startOfElement ()
virtual IWORKXMLContextPtr_t | element (int name)
virtual void | endOfElement ()

## Private Attributes
boost::optional< IWORKPosition > | m_head
boost::optional< IWORKPosition > | m_tail

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

libetonyek::IWORKLineElement::IWORKLineElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

IWORKXMLContextPtr_t libetonyek::IWORKLineElement::element | ( | int | name | ) |
| private virtual

void libetonyek::IWORKLineElement::endOfElement | ( |  | ) |
| private virtual

void libetonyek::IWORKLineElement::startOfElement | ( |  | ) |
| private virtual

## Member Data Documentation

boost::optional<IWORKPosition> libetonyek::IWORKLineElement::m_head
| private

Referenced by element(), and endOfElement().

boost::optional<IWORKPosition> libetonyek::IWORKLineElement::m_tail
| private

Referenced by element(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKLineElement.h
- IWORKLineElement.cpp